--- lib/jinterface/java_src/com/ericsson/otp/erlang/OtpErlangRef.java	2000-08-22 14:02:05.000000000 +0200
+++ lib/jinterface/java_src/com/ericsson/otp/erlang/OtpErlangRef.java	2008-11-24 06:51:25.000000000 +0100
@@ -218,6 +218,20 @@
     return (this.ids[0] == ref.ids[0]);
   }
 
+  /**
+   * Compute the hashCode value for a given ref. This function is compatible
+   * with equal.
+   *
+   * @return the hashCode of the node.
+   **/
+  public int hashCode() {
+    if (this.isNewRef()) {
+	   return (((creation * 17) + this.ids[0]) * 17 + this.ids[1]) * 17 + this.ids[2];
+    } else {
+	   return (creation * 17) + this.ids[0];
+    }
+  }
+
   public Object clone() {
     OtpErlangRef newRef = (OtpErlangRef)(super.clone());
     newRef.ids = (int[])ids.clone();
